### Method

# Adw MessageDialog set_extra_child

deprecated: 1.6 since: 1.2

#### Declaration [src]

    void
    adw_message_dialog_set_extra_child (
      AdwMessageDialog* self,
      GtkWidget* child
    )

#### Description [src]

Sets the child widget of `self`.

The child widget is displayed below the heading and body.

Available since: 1.2

Deprecated since: 1.6

Use `AdwAlertDialog`.

Sets property | `Adw.MessageDialog:extra-child`

#### Parameters

`child`

  Type: `GtkWidget`

  The child widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.